...Avoid issues with a version upgrade?

4 replies [Last post]
GodLikeCreature
GodLikeCreature's picture
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-01-26
Posts:

Hi all,

I am using version 2.8.2 at the moment, with very good results, I have to say. However, I have read the list of fixes/enhancements in 2.8.4, and I think it would be worth upgrading to it. However, I am concerned that I may lose some of my current setup, plugin variables, etc.

I was wondering if there is anything I can do to minimise any potential risks, like maybe backing up certain system files? I am guessing saving my .ardour folder is a good way to start?

If you guys think upgrading to 2.8.4 is not worth the risk, that is a good answer for me as well! ;-)

Thanks

thorgal
User offline. Last seen 1 year 21 weeks ago. Offline
Joined: 2007-08-03
Posts:

hi there,

Which concern exactly do you have in mind ? issues with system (OS) file or ardour session files ? The latter is no problem.

GodLikeCreature
GodLikeCreature's picture
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-01-26
Posts:

Hi, Thorgal

Good to read you again!

I was thinking more about some of my templates, plugins, plugin settings, etc After tons of work, I think I am close to having exactly the session setup I want, so would kill me if I had to redo it all due to an upgrade issue.

Cheers

thorgal
User offline. Last seen 1 year 21 weeks ago. Offline
Joined: 2007-08-03
Posts:

mmmm, you could just back up $HOME/.ardour2, together with your sessions ? (always good to back up sessions anyway ;) ).

I never had any backward compatibility problems from one 2.x to the next but that's just me.
Well, it's actually not true, I had a session that would not open at all after some upgrade. Talking with Paul on IRC, we found out it was a case of uninitialized variables in the newer ardour versions, which Paul fixed up consequently.

So back things up and upgrade, you can always downgrade and restore your backups should 2.8.4 screw up mightily for you (did not in my case) :)

GodLikeCreature
GodLikeCreature's picture
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-01-26
Posts:

Sorry, I had not seen your reply.

Thanks!!

However, since I have a dedicated partition with no network connection, I don´t have the ability to download some of the dependencies to install the new version (such as SCONS), so I will just stick to 2.8.2 for the time being... If it ain´t broken... ;-)